#pragma once

#include "common.h"
#include "tinyxml.h"

class CXMLParserCtrl
{
public:
	CXMLParserCtrl(const char*);
	~CXMLParserCtrl(void);

	BOOL LoadXML( void );
	void ParseAMTInfo( void );

	unsigned long  GetGroupAddress( void );
	unsigned long  GetSrcAddress( void );
	unsigned short GetPortNumber( void );
	string&        GetPlayerName( void );
	string&        GetCommandLine( void );


protected:
	int			   LookXMLAttribute(TiXmlElement* pElement);
	void		   GetAMTInfo(TiXmlNode* pParent);

private:
	//string m_strXMLPath;
	string m_strGroup;
	string m_strSource;
	string m_strPort;
	string m_strPlayer;
	string m_strCommand;

	TiXmlDocument*	m_pObjTiXMLDoc;
};
